/*+
|                                               |
|     Trigger: DTULTATU_MOTIENCECONT            |  
|     Tabela : MOTIENCECONT                     |
|                                               |
|     Criao:                                  |
|     26/02/2008 - Luiz Passos                  |
|                                               |
+*/

create or replace TRIGGER DTULTATU_MOTIENCECONT
BEFORE INSERT OR UPDATE OR DELETE
ON MOTIENCECONT FOR EACH ROW
BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUENCE := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDMTENCECONT,0) <> NVL(:NEW.CDMTENCECONT,0)) OR
           (NVL(:OLD.DSMTENCECONT,0) <> NVL(:NEW.DSMTENCECONT,0)) THEN
         :NEW.DTULTATUENCE := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('MOTIENCECONT'  , '', 'CDMTENCECONT='||:OLD.CDMTENCECONT||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE MOTIENCECONT MODIFY DTULTATUENCE DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_MOTIENCECONT','5.01.008'); END;
/

